%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% SPDX-License-Identifier: LGPL-3.0-or-later
% LICENCE_BLOCK_END
%=============================================================================
assert_isequal(nargin('dec2base'), 3)
assert_isequal(nargout('dec2base'), 1)
%=============================================================================
R = dec2base([20,140], 10);
REF = ['020'; '140'];
assert_isequal(R, REF);
%=============================================================================
V = 1:100;
R = base2dec(dec2base(V, 2), 2);
assert_isequal(R, V');
%=============================================================================
V = 1:100;
for b = [2:36]
  R = base2dec(dec2base(V, b), b);
  assert_isequal(R, V');
end
%=============================================================================
