%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% SPDX-License-Identifier: LGPL-3.0-or-later
% LICENCE_BLOCK_END
%=============================================================================
assert_isequal(nargin('magic'), 1);
assert_isequal(nargout('magic'), 1);
%=============================================================================
R = magic(0);
assert_isequal(R, []);
%=============================================================================
R = magic(-5);
assert_isequal(R, []);
%=============================================================================
R = magic(1);
assert_isequal(R, 1);
%=============================================================================
R = magic(1.2);
assert_isequal(R, 1);
%=============================================================================
R = magic(2);
REF = [1 3;4 2];
assert_isequal(R, REF);
%=============================================================================
R = magic([2, 4]);
REF = [1 3;4 2];
assert_isequal(R, REF);
%=============================================================================
R = magic(5);
REF = [    17    24     1     8    15;
23     5     7    14    16;
 4     6    13    20    22;
10    12    19    21     3;
11    18    25     2     9];
assert_isequal(R, REF);
%=============================================================================
R = magic(5);
REF = [      17     24      1      8     15;
23      5      7     14     16;
 4      6     13     20     22;
10     12     19     21      3;
11     18     25      2      9];
assert_isequal(R, REF);
%=============================================================================
R = magic(single(2));
REF = double([1 3;4 2]);
assert_isequal(R, REF);
%=============================================================================
R = magic(int32(2));
REF = double([1 3;4 2]);
assert_isequal(R, REF);
%=============================================================================
R = magic(4);
REF = [    16     2     3    13;
5    11    10     8;
9     7     6    12;
4    14    15     1];
assert_isequal(R, REF);
%=============================================================================
