%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% SPDX-License-Identifier: LGPL-3.0-or-later
% LICENCE_BLOCK_END
%=============================================================================
assert_isequal(nargin('det'), 1);
assert_isequal(nargout('det'), 1);
%=============================================================================
R = chol([]);
REF = [];
assert_isequal(R, REF);
%=============================================================================
assert_checkerror('chol([1 2;3 4])', _('Positive finite matrix expected.'));
%=============================================================================
A = [      1.4834      1.5929      0.6517      1.7214      1.3592;
1.5929      2.4007      0.8535      2.5614      2.0422;
0.6517      0.8535      0.7954      1.0757      0.6566;
1.7214      2.5614      1.0757      2.8708      2.1766;
1.3592      2.0422      0.6566      2.1766      1.7726];
%=============================================================================
B = A * A';
R = chol(B);
REF = [      3.1580      4.4104      1.7697      4.8242      3.7534;
0.0000      0.5558      0.1027      0.5958      0.4848;
0.0000      0.0000      0.4813      0.1711     -0.0744;
0.0000      0.0000      0.0000      0.0585      0.0127;
0.0000      0.0000      0.0000      0.0000      0.0158];
assert_isapprox(R, REF, 1e-4);
%=============================================================================
B = complex(A, A);
B = B * B';
R = chol(B);
REF = [    4.4661    6.2372    2.5027    6.8224    5.3081;
0    0.7860    0.1452    0.8426    0.6856;
0         0    0.6807    0.2420   -0.1053;
0         0         0    0.0827    0.0179;
0         0         0         0    0.0223];
assert_isapprox(R, REF, 1e-4);
%=============================================================================
