%=============================================================================
% Copyright (c) 2017 Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% SPDX-License-Identifier: LGPL-3.0-or-later
% LICENCE_BLOCK_END
%=============================================================================
A = [1 2; 3 4];
R = A^2;
REF = [ 7    10; 15    22];
assert_isequal(R, REF);
%=============================================================================
B = [0 1; 1 0];
R = 2^B;
REF = [   1.2500    0.7500; 0.7500    1.2500];
assert_isapprox(R, REF, 1e-4);
%=============================================================================
B = [0 1; 1 0];
[V, D] = eig(B);
R = V*2^(D/V);
REF = [-0.475060937282411   1.561877475526996;
 1.561877475526996   0.475060937282411];
 assert_isapprox(R, REF, 1e-4);
%=============================================================================
A = [1 1; 0 1];
R = A^(0.5);
REF = [ 1     0;0     1];
assert_isequal(R, REF); 
%=============================================================================
R = 4^eye(3,3);
REF = eye(3, 3) * 4;
assert_isequal(R, REF) 
%=============================================================================