%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% SPDX-License-Identifier: LGPL-3.0-or-later
% LICENCE_BLOCK_END
%=============================================================================
assert_isequal(nargin('corrcoef'), 1);
assert_isequal(nargout('corrcoef'), 1);
%=============================================================================
R = corrcoef(magic(4));
REF = [   1.0000   -0.9776   -0.9069    0.7978;
-0.9776    1.0000    0.9753   -0.9069;
-0.9069    0.9753    1.0000   -0.9776;
 0.7978   -0.9069   -0.9776    1.0000];
assert_isapprox(R, REF, 1e-4);
%=============================================================================
R = corrcoef(magic(4)+2i);
REF = [   1.0000   -0.9776   -0.9069    0.7978;
-0.9776    1.0000    0.9753   -0.9069;
-0.9069    0.9753    1.0000   -0.9776;
 0.7978   -0.9069   -0.9776    1.0000];
assert_isapprox(R, REF, 1e-4);
%=============================================================================
R = corrcoef(single(magic(4)));
REF = [   1.0000   -0.9776   -0.9069    0.7978;
-0.9776    1.0000    0.9753   -0.9069;
-0.9069    0.9753    1.0000   -0.9776;
 0.7978   -0.9069   -0.9776    1.0000];
assert_isapprox(R, single(REF), 1e-4);
%=============================================================================
R = corrcoef([]);
assert_istrue(isnan(R));
%=============================================================================
R = corrcoef(zeros(0, 3));
REF = zeros(3, 3) * NaN;
assert_isequal(R, REF);
%=============================================================================
R = corrcoef(1);
REF = NaN;
assert_isequal(R, REF);
%=============================================================================
R = corrcoef([1, 2, 3]);
REF = 1;
assert_isequal(R, REF);
%=============================================================================
assert_checkerror('R = corrcoef(ones(3,4,3));', _('Inputs must be 2-D.'));
%=============================================================================
